%define anolis_release 1
%global pypi_name starlette
%global pypi_version 0.37.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        The little ASGI library that shines

License:        BSD-3-Clause
URL:            https://github.com/encode/starlette
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-extensions)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(itsdangerous)
BuildRequires:  python3dist(httpx)
BuildRequires:  python3dist(trio)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(python-multipart)
BuildRequires:  python3dist(pyyaml)

Requires:   python3dist(anyio)

%description
Starlette is a lightweight ASGI framework/toolkit, which is ideal for building
async web services in Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Starlette is a lightweight ASGI framework/toolkit, which is ideal for building
async web services in Python.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
k="${k-}${k+ and }not test_lifespan_with_on_events"
%pytest -W 'ignore::trio.TrioDeprecationWarning' -k "${k-}"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md

%changelog
* Thu Apr 11 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.37.2-1
- Initial package.
